winsec.c File Reference
Include dependency graph for winsec.c:

## Functions

WINSEC_DESC * | winsec_parse_descriptor (const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
void | winsec_free_descriptor (WINSEC_DESC *desc)
| XXX: finish documenting.
WINSEC_DESC * | winsec_parse_desc (void *talloc_ctx, const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
WINSEC_ACL * | winsec_parse_acl (void *talloc_ctx, const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
WINSEC_ACE * | winsec_parse_ace (void *talloc_ctx, const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
WINSEC_DOM_SID * | winsec_parse_dom_sid (void *talloc_ctx, const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
WINSEC_UUID * | winsec_parse_uuid (void *talloc_ctx, const uint8_t *buf, uint32_t buf_len)
| XXX: finish documenting.
size_t | winsec_sid_size (const WINSEC_DOM_SID *sid)
| XXX: finish documenting.
int | winsec_sid_compare_auth (const WINSEC_DOM_SID *sid1, const WINSEC_DOM_SID *sid2)
| XXX: finish documenting.
int | winsec_sid_compare (const WINSEC_DOM_SID *sid1, const WINSEC_DOM_SID *sid2)
| XXX: finish documenting.
bool | winsec_sid_equal (const WINSEC_DOM_SID *sid1, const WINSEC_DOM_SID *sid2)
| XXX: finish documenting.
char * | winsec_sid2str (const WINSEC_DOM_SID *sid)
| XXX: finish documenting.
bool | winsec_desc_equal (WINSEC_DESC *s1, WINSEC_DESC *s2)
| XXX: finish documenting.
bool | winsec_acl_equal (WINSEC_ACL *s1, WINSEC_ACL *s2)
| XXX: finish documenting.
bool | winsec_ace_equal (WINSEC_ACE *s1, WINSEC_ACE *s2)
| XXX: finish documenting.
bool | winsec_ace_object (uint8_t type)
| XXX: finish documenting.